# Generated from rack-ssl-1.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gemname rack-ssl

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

%global testdir %{_tmppath}/%{gemname}-%{version}

Summary: Force SSL/TLS in your app
Name: rubygem-%{gemname}
Version: 1.3.2
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: https://github.com/josh/rack-ssl
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
# git clone https://github.com/josh/rack-ssl.git && cd rack-ssl && git checkout v1.3.2
# tar czvf rack-ssl-1.3.2-tests.tgz test/
Source1: %{gemname}-%{version}-tests.tgz
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
Requires: rubygem(rack) 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: ruby
BuildRequires: rubygem(rack) 
BuildRequires: rubygem(rack-test) 
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Rack middleware to force SSL/TLS.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

%check
rm -rf %{testdir}
mkdir %{testdir}
tar xzvf %{SOURCE1} -C %{testdir}
pushd %{testdir}

RUBYOPT=rubygems testrb -I%{buildroot}%{geminstdir}/lib test/

popd
rm -rf %{testdir}


%files
%dir %{geminstdir}
%doc %{geminstdir}/LICENSE
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{geminstdir}/README.md
%doc %{gemdir}/doc/%{gemname}-%{version}


%changelog
* Fri Jul 08 2011 Vít Ondruch <vondruch@redhat.com> - 1.3.2-1
- Initial package
